Quassel IRC - Bug #437

Warnings when building Quassel under Linux
12/04/2008 06:17 PM - billie

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: % Done: 100%
Category: General / Unspecified Estimated time: 0.00 hour
Target version:

Version: 0.3.1+ 0S: Any
Description

Follow up to Datafreak's bug about compile warnings under Windows. Here is the compile log for Linux where also some warnings
occur. Warnings are separated by line breaks for better visibility.

Associated revisions

Revision e60110ec2df2c8a50b3ad94fb10f9ec769225bc2 - 02/04/2009 04:07 PM - Marcus Eggenberger

fixes #437 - compiler warnings

Revision e60110ec - 02/04/2009 04:07 PM - Marcus Eggenberger

fixes #437 - compiler warnings

History

#1 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#2 - 01/26/2009 12:31 AM - EgS

- Version set to 0.3.1+

Breaking it down:
src/uisupport/networkmodelactionprovider.cpp:508: Warnung: unbenutzter Parameter »action«

[ 70%] Generating ui_backlogsettingspage.h
71%] Warning: name horizontalSpacer_3 is already used

src/qgtui/chatviewsearchcontroller.cpp: In member function »void ChatViewSearchController::updateHighlights (Cha
tLine*) «:

src/qtui/chatviewsearchcontroller.cpp:209: Warnung: Ubergabe von »qreal« filir Argument 1 von »T& QHash<Key, T>:
:operator[] (const Keyé&) [with Key = long long unsigned int, T = QHash<long long unsigned int, QRectF>]«
src/qtui/chatviewsearchcontroller.cpp:209: Warnung: Ubergabe von »greal« fiir Argument 1 von »T& QHash<Key, T>:
:operator[] (const Keyé&) [with Key = long long unsigned int, T = QRectF]«
src/qtui/chatviewsearchcontroller.cpp:228: Warnung: Ubergabe von »qreal« fiir Argument 1 von »bool QHash<Key, T
>::contains (const Keyé&) const [with Key = long long unsigned int, T = QHash<long long unsigned int, QRectF>]«
src/gtui/chatviewsearchcontroller.cpp:228: Warnung: Ubergabe von »greal« fiir Argument 1 von »T& QHash<Key, T>:
:operator[] (const Keyé&) [with Key = long long unsigned int, T = QHash<long long unsigned int, QRectF>]«
src/qtui/chatviewsearchcontroller.cpp:228: Warnung: Ubergabe von »qreal« fiir Argument 1 von »bool QHash<Key, T
>::contains (const Keyé&) const [with Key = long long unsigned int, T = QRectF]«
src/qtui/chatviewsearchcontroller.cpp:229: Warnung: Ubergabe von »greal« fiir Argument 1 von »T& QHash<Key, T>:
:operator[] (const Keyé&) [with Key = long long unsigned int, T = QHash<long long unsigned int, QRectF>]«
src/gtui/chatviewsearchcontroller.cpp:229: Warnung: Ubergabe von »greal« fiir Argument 1 von »T& QHash<Key, T>:
:operator[] (const Keyé&) [with Key = long long unsigned int, T = QRectF]«
src/qtui/chatviewsearchcontroller.cpp: In member function »virtual void SearchHighlightItem::paint (QPainter*,
const QStyleOptionGraphicsItem*, QWidget*) «:

src/qtui/chatviewsearchcontroller.cpp:395: Warnung: Ubergabe von »qreal« fiir Argument 4 von »QColor::QColor (in
t, int, int, int)«

src/qtui/chatviewsearchcontroller.cpp:396: Warnung: Ubergabe von »qreal« fiir Argument 4 von »QColor::QColor (in
t, int, int, int)«

#3 - 02/04/2009 04:06 PM - EgS

src/uisupport/networkmodelactionprovider.cpp:508: Warnung: unbenutzter Parameter »action«
this is a reminder for us to implement that specific feature

#4 - 02/04/2009 04:07 PM - EgS
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset e60110ec2df2c8a50b3ad94fb10f9ec769225bc2.
